package com.rjconsultores.ventaboletos.dao.hibernate;

import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.TarifaOficialDAO;
import com.rjconsultores.ventaboletos.dao.sqlbuilder.SQLBuilder;
import com.rjconsultores.ventaboletos.entidad.Ruta;
import com.rjconsultores.ventaboletos.entidad.TarifaOficial;

@Repository("tarifaOficialDAO")
public class TarifaOficialHibernateDAO extends GenericHibernateDAO<TarifaOficial, Integer> implements TarifaOficialDAO {

	@Autowired
	private SQLBuilder sqlBuilder;
	
	@Autowired
	public TarifaOficialHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}

	@Override
	public Integer gerarTarifaANTT(Ruta ruta) {
		Integer rutaId = (ruta == null)?null:ruta.getRutaId();
		
		String sql = sqlBuilder.getSQLTarifaOficial1(rutaId);
		
		int qtd = getSession().createSQLQuery(sql).executeUpdate();
		
		return qtd;
	}

}
